plugins {
    id 'com.android.application'
    id 'kotlin-android'
//    id 'com.huawei.agconnect'
}

def keystorePropertiesFile = rootProject.file("keystore.properties")
def keystoreProperties = new Properties()
keystoreProperties.load(new FileInputStream(keystorePropertiesFile))

android {
    compileSdk rootProject.ext.android.compileSdk
    buildToolsVersion rootProject.ext.android.buildToolsVersion

    defaultConfig {
//        applicationId 'com.shzd.eyuangame'
        applicationId 'com.xgyy.jpcq.nearme.gamecenter'
//        applicationId 'com.xgyy.jpcq.huawei'
        minSdk rootProject.ext.android.minSdk
        targetSdk rootProject.ext.android.targetSdk
        versionCode 1
        versionName "0.0.1"

        multiDexEnabled true

    }

    buildFeatures {
        buildConfig false
    }
    signingConfigs {
        config {
            keyAlias keystoreProperties['keyAlias']
            keyPassword keystoreProperties['keyPassword']
            storeFile file(keystoreProperties['storeFile'])
            storePassword keystoreProperties['storePassword']
            v1SigningEnabled true
            v2SigningEnabled true
        }
    }
    buildTypes {
        debug {
            minifyEnabled false
            signingConfig signingConfigs.config
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }

        release {
            minifyEnabled false
            signingConfig signingConfigs.config
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    lintOptions {
        abortOnError false
    }
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
    kotlinOptions {
        jvmTarget = '1.8'
        useIR = true
    }
    packagingOptions {
        resources {
            excludes += '/META-INF/{AL2.0,LGPL2.1}'
        }
    }
}

dependencies {
    implementation project(':library_comm')
    implementation project(':library_impl')
    implementation project(':channel_registry:channel_oppo')
//    implementation project(':channel_registry:channel_huawei')

    // ktx
    implementation rootProject.ext.ktxLibs
    // ui
    implementation rootProject.ext.uiLibs

//    implementation 'com.huawei.hms:hianalytics:6.3.2.300'

//    debugImplementation 'com.squareup.leakcanary:leakcanary-android:2.7'
}